Subject: bug#77823: 31.0.50; M-j regression since commit 4c6b1712a4d

From: Elijah Gabe Pérez <[email-masked]>
Date: Tue, 22 Apr 2025 21:58:43 -0600

Stefan Monnier writes:

> Another issue if we want to expand the scope of electric-pair is that
> when the users type `case` maybe they're just yping `case` but cases
> they're actually on their way to typing `cases` or `cased` or `case_nb`
> or god knows what else: for those matched thingies that can be prefixes of
> arbitrary identifiers, we'd probably want to wait for the user to hit
> SPC (like abbrev does) before inserting the closing element.

Fine, but i think that some parens from alist should specify if must expand
after inserting an space, something like:

'(("/*" . "*/") ("case" "esac" t)...
                             ^ any non-nil value